<?php
/**
 * @package Post_Thumbnail_DragDrop
 * @version 0.1
 */
/*
Plugin Name: Drag & Drop for Post Thumbnails
Description: Adds drag & drop to the Post Thumbnail widget.
Author: Tobias Nygren
Version: 0.1
Author URI: http://tobiasnygren.se/
*/

function dragdrop_postthumbnail_css(){

	//register custom post thumbnail css
    	wp_register_style( 'postthumbnail-dragdrop-css', plugins_url() .'/postthumbail_dragdrop/postthumbnail_dragdrop.css');

	//enqueue css
	wp_enqueue_style('imgareaselect');
	wp_enqueue_style('postthumbnail-dragdrop-css' );
}

function dragdrop_postthumbnail($content) {


	global $post_ID;

	//register custom post thumbnail js
    	wp_register_script( 'postthumbnail-dragdrop-js',  plugins_url() .'/postthumbail_dragdrop/postthumbnail_dragdrop.js');

	//enqueue scripts
	wp_enqueue_script('plupload-handlers');
	wp_enqueue_script('image-edit');
	wp_enqueue_script('set-post-thumbnail' );
	wp_enqueue_script('postthumbnail-dragdrop-js' );


	//check if thumbnail already set
 	$dd_thumbnail_id = intval(get_post_meta( $post_ID, '_thumbnail_id', true ));
		
	//create ajax nonce for set thumbnail function
	$ajax_nonce = wp_create_nonce( "set_post_thumbnail-" .$post_ID ); 


?>
	<div id="post_thumbnail_loading" style="display:none;height: 200px;background:url(/wp-admin/images/wpspin_light.gif) 50% 50% no-repeat;"></div>
	<div id="my_media_upload_form">
		<?php media_upload_form(); ?>
	</div>
	<input type="hidden" id="set_post_thumbnail_ajax_nonce" value="<?php echo $ajax_nonce; ?>" />

	<div id="my_image_output">
	<?php

	//show default content if image already chosen
	if(isset($_POST['thumbnail_id'])){
		$dd_thumbnail_id = intval($_POST['thumbnail_id']);
	}
	if($dd_thumbnail_id > 0){
			echo $content;
	}
	?>
	</div>
	<?php

}//end function

//add css to admin header
add_action( 'admin_init', 'dragdrop_postthumbnail_css' );
	
//override admin_post_thumbnail_html() 
add_filter( 'admin_post_thumbnail_html', 'dragdrop_postthumbnail' );

?>
